Bug 1492640 - kernel: GPF in rt6_ifdown
Summary: kernel: GPF in rt6_ifdown
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170621,repor...
Keywords: Security
Depends On: 1491465 1492641
Blocks: 1492657
TreeView+ depends on / blocked
 
Reported: 2017-09-18 11:38 UTC by Adam Mariš
Modified: 2018-01-29 16:46 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-06 09:03:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2017-09-18 11:38:21 UTC
GPF due to NULL pointer dereference in rt6_ifdown was reported allowing local attacker to cause system denia-of-service.

Bug report (reproducer included):

https://marc.info/?l=linux-kernel&m=149806759923073&w=2

Comment 1 Adam Mariš 2017-09-18 11:40:27 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1492641]

Comment 2 Vladis Dronov 2017-10-06 09:03:11 UTC
this is not a security flaw, so closing this bz as not-a-security-bug. fixing this as a regular bugfix is handled in bz1491465.

Comment 3 Justin M. Forbes 2018-01-29 16:46:40 UTC
This was fixed for Fedora with the 4.13 rebases.


Note You need to log in before you can comment on or make changes to this bug.